FGSL: Data Fields - Functions/Subroutines

FGSL Fortran interface for the GNU scientific library

### - c -

- complex_to_fgsl_complex() : assignment(=)
- fgsl_cheb_series_status() : fgsl_well_defined
- fgsl_combination_status() : fgsl_well_defined
- fgsl_complex_to_complex() : assignment(=)

### - d -

- fgsl_dht_status() : fgsl_well_defined

### - e -

- fgsl_error_handler_status() : fgsl_well_defined

### - f -

- fgsl_file_status() : fgsl_well_defined

### - g -

- gsl_sf_to_fgsl_sf() : assignment(=)
- gsl_sfe10_to_fgsl_sfe10() : assignment(=)

### - h -

- fgsl_histogram_status() : fgsl_well_defined

### - i -

- fgsl_ieee_fprintf_double() : fgsl_ieee_fprintf
- fgsl_ieee_fprintf_float() : fgsl_ieee_fprintf
- fgsl_ieee_printf_double() : fgsl_ieee_printf
- fgsl_ieee_printf_float() : fgsl_ieee_printf
- fgsl_integration_cquad_workspace_status() : fgsl_well_defined
- fgsl_integration_glfixed_table_status() : fgsl_well_defined
- fgsl_integration_qawo_table_status() : fgsl_well_defined
- fgsl_integration_qaws_table_status() : fgsl_well_defined
- fgsl_integration_workspace_status() : fgsl_well_defined
- fgsl_interp2d_status() : fgsl_well_defined
- fgsl_interp_accel_status() : fgsl_well_defined
- fgsl_interp_status() : fgsl_well_defined

### - m -

- fgsl_matrix_align() : fgsl_matrix_align
- fgsl_matrix_c_ptr() : fgsl_obj_c_ptr
- fgsl_matrix_complex_align() : fgsl_matrix_align
- fgsl_matrix_complex_free() : fgsl_matrix_free
- fgsl_matrix_complex_init() : fgsl_matrix_init
- fgsl_matrix_complex_init_legacy() : fgsl_matrix_init
- fgsl_matrix_complex_pointer_align() : fgsl_matrix_align
- fgsl_matrix_complex_status() : fgsl_well_defined
- fgsl_matrix_complex_to_array() : assignment(=)
- fgsl_matrix_complex_to_fptr() : fgsl_matrix_to_fptr
- fgsl_matrix_free() : fgsl_matrix_free
- fgsl_matrix_init() : fgsl_matrix_init
- fgsl_matrix_init_legacy() : fgsl_matrix_init
- fgsl_matrix_pointer_align() : fgsl_matrix_align
- fgsl_matrix_status() : fgsl_well_defined
- fgsl_matrix_to_array() : assignment(=)
- fgsl_matrix_to_fptr() : fgsl_matrix_to_fptr
- fgsl_min_fminimizer_status() : fgsl_well_defined
- fgsl_monte_function_status() : fgsl_well_defined
- fgsl_monte_miser_status() : fgsl_well_defined
- fgsl_monte_plain_status() : fgsl_well_defined
- fgsl_monte_vegas_status() : fgsl_well_defined
- fgsl_multifit_eval_wdf_nowts() : fgsl_multifit_eval_wdf
- fgsl_multifit_eval_wdf_wts() : fgsl_multifit_eval_wdf
- fgsl_multifit_eval_wf_nowts() : fgsl_multifit_eval_wf
- fgsl_multifit_eval_wf_wts() : fgsl_multifit_eval_wf
- fgsl_multifit_fdfsolver_dif_df_nowts() : fgsl_multifit_fdfsolver_dif_df
- fgsl_multifit_fdfsolver_dif_df_wts() : fgsl_multifit_fdfsolver_dif_df
- fgsl_multifit_fdfsolver_status() : fgsl_well_defined
- fgsl_multifit_fsolver_status() : fgsl_well_defined
- fgsl_multifit_nlinear_setup() : fgsl_multifit_nlinear_type
- fgsl_multifit_nlinear_status() : fgsl_well_defined
- fgsl_multifit_status() : fgsl_well_defined
- fgsl_multilarge_nlinear_setup() : fgsl_multilarge_nlinear_type
- fgsl_multimin_fdfminimizer_status() : fgsl_well_defined
- fgsl_multimin_fminimizer_status() : fgsl_well_defined
- fgsl_multiroot_fdfsolver_status() : fgsl_well_defined
- fgsl_multiroot_fsolver_status() : fgsl_well_defined
- fgsl_multiset_status() : fgsl_well_defined

### - n -

- fgsl_ntuple_select_fn_status() : fgsl_well_defined
- fgsl_ntuple_status() : fgsl_well_defined
- fgsl_ntuple_value_fn_status() : fgsl_well_defined

### - o -

- fgsl_odeiv2_control_status() : fgsl_well_defined
- fgsl_odeiv2_driver_status() : fgsl_well_defined
- fgsl_odeiv2_evolve_status() : fgsl_well_defined
- fgsl_odeiv2_step_status() : fgsl_well_defined
- fgsl_odeiv2_system_status() : fgsl_well_defined
- fgsl_odeiv_control_status() : fgsl_well_defined
- fgsl_odeiv_evolve_status() : fgsl_well_defined
- fgsl_odeiv_step_status() : fgsl_well_defined
- fgsl_odeiv_system_status() : fgsl_well_defined

### - p -

- fgsl_permutation_status() : fgsl_well_defined
- fgsl_permute() : fgsl_permute
- fgsl_permute_inverse() : fgsl_permute_inverse
- fgsl_permute_long() : fgsl_permute
- fgsl_permute_long_inverse() : fgsl_permute_inverse
- fgsl_poly_complex_workspace_stat() : fgsl_well_defined

### - q -

- fgsl_qrng_status() : fgsl_well_defined

### - r -

- fgsl_ran_discrete_t_status() : fgsl_well_defined
- fgsl_ran_shuffle() : fgsl_ran_shuffle
- fgsl_ran_shuffle_double() : fgsl_ran_shuffle
- fgsl_ran_shuffle_size_t() : fgsl_ran_shuffle
- fgsl_rng_c_ptr() : fgsl_obj_c_ptr
- fgsl_rng_status() : fgsl_well_defined
- fgsl_root_fdfsolver_status() : fgsl_well_defined
- fgsl_root_fsolver_status() : fgsl_well_defined

### - s -

- fgsl_siman_params_t_status() : fgsl_well_defined
- fgsl_sizeof_char() : fgsl_sizeof
- fgsl_sizeof_combination() : fgsl_sizeof
- fgsl_sizeof_double() : fgsl_sizeof
- fgsl_sizeof_float() : fgsl_sizeof
- fgsl_sizeof_int() : fgsl_sizeof
- fgsl_sizeof_integration_qawo_table() : fgsl_sizeof
- fgsl_sizeof_integration_qaws_table() : fgsl_sizeof
- fgsl_sizeof_integration_workspace() : fgsl_sizeof
- fgsl_sizeof_interp() : fgsl_sizeof
- fgsl_sizeof_matrix() : fgsl_sizeof
- fgsl_sizeof_matrix_complex() : fgsl_sizeof
- fgsl_sizeof_multiset() : fgsl_sizeof
- fgsl_sizeof_permutation() : fgsl_sizeof
- fgsl_sizeof_size_t() : fgsl_sizeof
- fgsl_sizeof_vector() : fgsl_sizeof
- fgsl_sizeof_vector_complex() : fgsl_sizeof
- fgsl_sizeof_wavelet() : fgsl_sizeof
- fgsl_sizeof_wavelet_workspace() : fgsl_sizeof
- fgsl_sort2_double() : fgsl_sort
- fgsl_sort_double() : fgsl_sort
- fgsl_sort_double_index() : fgsl_sort_index
- fgsl_sort_double_largest() : fgsl_sort_largest
- fgsl_sort_double_largest_index() : fgsl_sort_largest_index
- fgsl_sort_double_smallest() : fgsl_sort_smallest
- fgsl_sort_double_smallest_index() : fgsl_sort_smallest_index
- fgsl_sort_long() : fgsl_sort
- fgsl_sort_long_index() : fgsl_sort_index
- fgsl_sort_long_largest() : fgsl_sort_largest
- fgsl_sort_long_largest_index() : fgsl_sort_largest_index
- fgsl_sort_long_smallest() : fgsl_sort_smallest
- fgsl_sort_long_smallest_index() : fgsl_sort_smallest_index
- fgsl_sort_vector() : fgsl_sort
- fgsl_sort_vector2() : fgsl_sort
- fgsl_sort_vector_index() : fgsl_sort_index
- fgsl_sort_vector_largest() : fgsl_sort_largest
- fgsl_sort_vector_largest_index() : fgsl_sort_largest_index
- fgsl_sort_vector_smallest() : fgsl_sort_smallest
- fgsl_sort_vector_smallest_index() : fgsl_sort_smallest_index
- fgsl_spline2d_status() : fgsl_well_defined
- fgsl_spline_status() : fgsl_well_defined

### - v -

- fgsl_vector_align() : fgsl_vector_align
- fgsl_vector_c_ptr() : fgsl_obj_c_ptr
- fgsl_vector_complex_align() : fgsl_vector_align
- fgsl_vector_complex_free() : fgsl_vector_free
- fgsl_vector_complex_init() : fgsl_vector_init
- fgsl_vector_complex_init_legacy() : fgsl_vector_init
- fgsl_vector_complex_pointer_align() : fgsl_vector_align
- fgsl_vector_complex_status() : fgsl_well_defined
- fgsl_vector_complex_to_array() : assignment(=)
- fgsl_vector_complex_to_fptr() : fgsl_vector_to_fptr
- fgsl_vector_free() : fgsl_vector_free
- fgsl_vector_init() : fgsl_vector_init
- fgsl_vector_init_legacy() : fgsl_vector_init
- fgsl_vector_int_free() : fgsl_vector_free
- fgsl_vector_int_init() : fgsl_vector_init
- fgsl_vector_int_status() : fgsl_well_defined
- fgsl_vector_int_to_fptr() : fgsl_vector_to_fptr
- fgsl_vector_pointer_align() : fgsl_vector_align
- fgsl_vector_status() : fgsl_well_defined
- fgsl_vector_to_array() : assignment(=)
- fgsl_vector_to_fptr() : fgsl_vector_to_fptr

### - w -

- fgsl_wavelet_status() : fgsl_well_defined
- fgsl_wavelet_workspace_status() : fgsl_well_defined